brlapi_clientData(3)

NAME
brlapi_clientData - Clients can register a pointer to data that can then be used e.g. in exception handlers.

SYNOPSIS

  Functions
void BRLAPI_STDCALL brlapi_setClientData (void *data)
void BRLAPI_STDCALL brlapi__setClientData (brlapi_handle_t *handle, void *data)
void *BRLAPI_STDCALL brlapi_getClientData (void)
void *BRLAPI_STDCALL brlapi__getClientData (brlapi_handle_t *handle)

Detailed Description

Function Documentation

  void* BRLAPI_STDCALL brlapi__getClientData (brlapi_handle_t * handle)

  void BRLAPI_STDCALL brlapi__setClientData (brlapi_handle_t * handle, void * data)

  void* BRLAPI_STDCALL brlapi_getClientData (void)
Retrieves the pointer to the private client data

Returns
    the pointer to the private client data

  void BRLAPI_STDCALL brlapi_setClientData (void * data)
Register a pointer to client data

Parameters
    data The pointer to the private client data

Author

Generated automatically by Doxygen for BrlAPI from the source code.